// VSCode拡張機能APIパッケージを'vscode'として利用
import { ExtensionContext, commands, window } from 'vscode';

// 拡張機能が起動したときに実行するメソッド
export function activate(context: ExtensionContext) {

    // デバッグ用コンソールに起動したことを知らせる。
    console.log('"hello-vscode" is now active!');

    // package.jsonで定義したコマンドを実行
    let disposable = commands.registerCommand('hello-vscode.helloWorld', () => {
        // コマンド呼び出し時の実行内容
        // 右下にウィンドウにメッセージを出力
		window.showInformationMessage('Hello World from Hello VSCode!');
    });

    context.subscriptions.push(disposable);
}

// 拡張機能が無効になったときに呼び出す
export function deactivate() {}